/**************************************************************************
 *
 *  COMM.HPP
 *
 *  This file contains the header file needed to compile COMMOS2.CPP.
 *  This file should not be included in source code which wishes to use 
 *  the COMMOS2 class library.
 *_________________________________________________________________________
 *
 *  Copyright (c) 1992 by ASH Software, Inc.
 *
 *  Update History
 *
 *    12/ 6/1992 - Module created
 *
 **************************************************************************/

#if !defined(COMM__HPP)
  #define COMM__HPP

  #define INCL_DOS
  #define INCL_ERRORS
  #define INCL_DOSDEVIOCTL
  #define INCL_DOSDEVICES
  
  #include <os2.h>
  #include <stdio.h>
  #include <stdlib.h>
  
  #include "COMMOS2.HPP"

  #define COMM_QUERY_RXCOUNT             1
  #define COMM_QUERY_RXBUFFER            2
  #define COMM_QUERY_TXCOUNT             3
  #define COMM_QUERY_TXBUFFER            4

  #define CommGetErrorStruct    COMMERRSTRUCT32
  #define TimerValue            TIMERVALUE32
  #define TimerDifference       TIMERDIFFERENCE32
  #define CommQueryQueue        COMMQUERYQUEUE32

  //
  // Declare static functions
  //

  static ULONG TimerValue(VOID);
  static ULONG TimerDifference(ULONG ulBaseTimerValue);

#endif
